semanage_exists(3)

NAME
semanage_exists - SELinux Management API

SYNOPSIS
The following exists function is supported for any semanage record.
Replace the function and object name as necessary.

extern int EXISTS_FUNCTION (
semanage_handle_t *handle,
const semanage_OBJECT_key_t *key,
semanage_OBJECT_t **response);

DESCRIPTION

Behavior:
    The exists function will return 0 if a matching key is not found, and 1 otherwise.

Parameters:
    The handle is used to track persistent state across semanage calls, and for error reporting. The key identifies the object being checked. The result of the test will be stored in the address pointed by response The key is a property of the caller, and will not be stored or modified internally.

Requirements:
    This function requires an semanage connection to be established (see semanage_connect(3) )

RETURN VALUE
In case of failure, -1 is returned, and the semanage error callback is invoked, describing the error. Otherwise a non-negative integer is returned (a commit number). The same number will be returned by all other read calls to the semanage database until the next commit.

SEE ALSO
semanage_handle_create(3), semanage_connect(3),